=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2011-04-14 02:59:27 +0000
+++ drizzled/drizzled.cc	2011-04-20 09:27:49 +0000
@@ -439,7 +439,7 @@
 
   {
     boost::mutex::scoped_lock scopedLock(session::Cache::mutex());
-    session::Cache::list list= session::Cache::singleton().getCache();
+    session::Cache::list list= session::Cache::getCache();
 
     BOOST_FOREACH(session::Cache::list::reference tmp, list)
     {
@@ -451,7 +451,7 @@
     }
   }
 
-  if (session::Cache::singleton().count())
+  if (session::Cache::count())
     sleep(2);                                   // Give threads time to die
 
   /*
@@ -462,7 +462,7 @@
   for (;;)
   {
     boost::mutex::scoped_lock scopedLock(session::Cache::mutex());
-    session::Cache::list list= session::Cache::singleton().getCache();
+    session::Cache::list list= session::Cache::getCache();
 
     if (list.empty())
     {
@@ -513,7 +513,7 @@
   if (print_message && server_start_time)
     errmsg_printf(drizzled::error::INFO, _(ER(ER_SHUTDOWN_COMPLETE)),internal::my_progname);
 
-  session::Cache::singleton().shutdownFirst();
+  session::Cache::shutdownFirst();
 
   /*
     The following lines may never be executed as the main thread may have
@@ -624,7 +624,7 @@
 
 void Session::unlink(session_id_t &session_id)
 {
-  Session::shared_ptr session= session::Cache::singleton().find(session_id);
+  Session::shared_ptr session= session::Cache::find(session_id);
 
   if (session)
     unlink(session);
@@ -642,7 +642,7 @@
   {
     // We should do something about an error...
   }
-  session::Cache::singleton().erase(session);
+  session::Cache::erase(session);
 }
 
 
@@ -2054,7 +2054,7 @@
   session_startup_options= (OPTION_AUTO_IS_NULL | OPTION_SQL_NOTES);
   g_refresh_version= 1L;	/* Increments on each reload */
   global_thread_id= 1UL;
-  session::Cache::singleton().getCache().clear();
+  session::Cache::getCache().clear();
 
   /* Variables in libraries */
   default_character_set_name= "utf8";

=== modified file 'drizzled/generator/session.h'
--- drizzled/generator/session.h	2011-04-13 11:05:41 +0000
+++ drizzled/generator/session.h	2011-04-20 09:27:49 +0000
@@ -40,7 +40,7 @@
     user(arg)
   {
     boost::mutex::scoped_lock scopedLock(session::Cache::mutex());
-    local_list= session::Cache::singleton().getCache();
+    local_list= session::Cache::getCache();
     iter= local_list.begin();
   }
 

=== modified file 'drizzled/kill.cc'
--- drizzled/kill.cc	2011-03-24 00:03:05 +0000
+++ drizzled/kill.cc	2011-04-20 09:27:49 +0000
@@ -29,7 +29,7 @@
 
 bool kill(const identifier::User& user, session_id_t id_to_kill, bool only_kill_query)
 {
-  drizzled::Session::shared_ptr session_param= session::Cache::singleton().find(id_to_kill);
+  drizzled::Session::shared_ptr session_param= session::Cache::find(id_to_kill);
 
   if (session_param and session_param->isViewable(user))
   {

=== modified file 'drizzled/main.cc'
--- drizzled/main.cc	2011-04-13 11:05:41 +0000
+++ drizzled/main.cc	2011-04-20 09:27:49 +0000
@@ -428,7 +428,7 @@
   COND_thread_count.notify_all();
 
   /* Wait until cleanup is done */
-  session::Cache::singleton().shutdownSecond();
+  session::Cache::shutdownSecond();
 
   clean_up(1);
   module::Registry::shutdown();

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2011-04-18 15:12:03 +0000
+++ drizzled/session.cc	2011-04-20 09:27:49 +0000
@@ -635,7 +635,7 @@
   current_global_counters.connections++;
   arg->thread_id= arg->variables.pseudo_thread_id= global_thread_id++;
 
-  session::Cache::singleton().insert(arg);
+  session::Cache::insert(arg);
 
   if (unlikely(plugin::EventObserver::connectSession(*arg)))
   {

=== modified file 'drizzled/session/cache.h'
--- drizzled/session/cache.h	2011-04-20 09:12:02 +0000
+++ drizzled/session/cache.h	2011-04-20 09:27:49 +0000
@@ -33,13 +33,6 @@
 public:
   typedef std::list<session_shared_ptr> list;
 
-  static inline Cache &singleton()
-  {
-    static Cache open_cache;
-
-    return open_cache;
-  }
-
   static list &getCache()
   {
     return cache;

=== modified file 'drizzled/signal_handler.cc'
--- drizzled/signal_handler.cc	2011-03-21 18:32:26 +0000
+++ drizzled/signal_handler.cc	2011-04-20 09:27:49 +0000
@@ -73,7 +73,7 @@
   Session *session= current_session;
   if (session)
   {
-    Session::shared_ptr session_ptr(session::Cache::singleton().find(session->getSessionId()));
+    Session::shared_ptr session_ptr(session::Cache::find(session->getSessionId()));
     if (not session_ptr) // We need to make we have a lock on session before we do anything with it.
       return;
 

=== modified file 'plugin/multi_thread/multi_thread.cc'
--- plugin/multi_thread/multi_thread.cc	2011-04-18 16:12:36 +0000
+++ plugin/multi_thread/multi_thread.cc	2011-04-20 09:27:49 +0000
@@ -54,7 +54,7 @@
   char stack_dummy;
   boost::this_thread::disable_interruption disable_by_default;
 
-  Session::shared_ptr session(session::Cache::singleton().find(id));
+  Session::shared_ptr session(session::Cache::find(id));
 
   try
   {

=== modified file 'plugin/utility_functions/kill.cc'
--- plugin/utility_functions/kill.cc	2011-02-17 00:14:13 +0000
+++ plugin/utility_functions/kill.cc	2011-04-20 09:27:49 +0000
@@ -24,11 +24,8 @@
 #include <drizzled/session/cache.h>
 #include <plugin/utility_functions/functions.h>
 
-namespace drizzled
-{
-
-namespace utility_functions
-{
+namespace drizzled {
+namespace utility_functions {
 
 int64_t Kill::val_int()
 {
@@ -40,7 +37,7 @@
     return 0;
   }
 
-  Session::shared_ptr die_session(session::Cache::singleton().find(session_id_for_kill));
+  Session::shared_ptr die_session(session::Cache::find(session_id_for_kill));
 
   if (not die_session)
   {

